% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      rddist2
% from  2022-04-01 


% setup the problem
problem = setup_problem;

% generate a grid on the spatial domain
x = linspace(0,problem.L,41);

% plot the initial condition
figure(1); clf; hold on
val = u0(problem,x);
plot(x,val)
xlabel('x');
title('initial condition u_0');

